﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyControllerScript : MonoBehaviour
{

    public float enemySpeed;
    private int enemyDirection = 1;

    private Vector2 enemyScale;
    private Rigidbody2D enemyRB2D;

    void Start()
    {
        enemyScale = transform.localScale;
        enemyRB2D = GetComponent<Rigidbody2D>();
    }

    void Update()
    {
        Move();
    }

    void Move()
    {
        enemyRB2D.velocity = new Vector2((enemySpeed * enemyDirection), transform.position.y);
    }

    void OnTriggerEnter2D(Collider2D col)
    {
        if(col.tag == "EnemyBlock")
        {
            enemyDirection *= -1;
            transform.localScale = new Vector2((enemyScale.x * enemyDirection), enemyScale.y);
        }
        if(col.tag == "Player")
        {
            col.gameObject.GetComponent<PlayerStatsScript>().Lives(-1);
        }
    }
}
